package com.iamberry.wechat.utils;

import com.iamberry.wechat.autiXSS.AntiXSS;
import com.iamberry.wechat.core.entity.wx.Config;
import com.iamberry.wechat.core.entity.wx.Token;

/**
 * @author 何秀刚
 * @description: 静态资源缓存
 * Create Date:2016年4月18日
 * Update Date:2016年4月18日
 */
public class StaticCacheMemory {

	/** XSS过滤 */
	public final static AntiXSS XSS = new AntiXSS();
	
	/** 微信Token缓存 */
	private static Object tokenLock = new Object();
	public static Token getAccessToken() {
		synchronized (tokenLock) {
			return accessToken;
		}
	}
	public static void setAccessToken(Token accessToken) {
		synchronized (tokenLock) {
			StaticCacheMemory.accessToken = accessToken;
		}
	}
	
	/** 微信开发所需config对象, 全局调用一次 */
	public static volatile Config config = null;
	/** 微信Token缓存 */
	public static volatile Token accessToken = null;
	/** 是否启动task:保证多线程安全 */
	public static volatile boolean isStartTask = true;
}
